Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-26233

Hyperloop: Incompatibility with 7_3_X RC

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: Release 7.3.0
    • Fix Version/s: Release 7.3.0
    • Component/s: Hyperloop, Windows
    • Labels:
      None
    • Environment:

      Studio: 5.1.0.201807191252
      Windows 10 Pro: 1803
      Visual Studio: 15.7.5
      Appc SDK: 7.3.0.v20180719073237
      Appc NPM: 4.2.13
      Appc CLI: 7.0.4
      Ti CLI: 5.1.1
      Node: 8.9.1
      NPM: 6.1.0

      Description

      I am unable to build a hyperloop application with builds from branches such as 7.3.0.v20180719073237, GA builds are fine

      Steps to reproduce

      1. Download an SDK from a branch appc ti sdk install -d -b 7_3_X
      2. Use Hyperloop 3.0.5
      3. Run the application.

      Error

      [ERROR] :  Found incompatible Titanium Modules:
      [ERROR] :     id: hyperloop	 version: 3.0.5	 platform: windows	 min sdk: 7.1.1
      [ERROR] :     id: hyperloop	 version: 3.0.5	 platform: windows	 min sdk: 7.1.1
      

      Expected
      No error is thrown

        Attachments

          Activity

            People

            • Assignee:
              kiguchi Kota Iguchi
              Reporter:
              jlongton Josh Longton
              Reviewer:
              Christopher Williams
            • Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Backbone Issue Sync

                • Titanium SDK/CLI <> Titanium Mobile
                  Synced with:
                  TIMOB-6477
                  Sync status:
                  ERROR
                  Last received:
                  Last sent:

                  Git Source Code